Page MenuHomePhabricator

Tag a new release of scap
Closed, ResolvedPublic

Description

  1. merging master to release in the scap repository
  2. bumping the version number in the release branch
  3. committing and signing those changes
  4. bumping the debian changelog
  5. tagging a new debian version
  6. creating a task that looks like this one:

https://phabricator.wikimedia.org/T217287

This is all documented on Wikitech:
https://wikitech.wikimedia.org/wiki/Scap3#Production_Upgrade Any step
here that reads, "This step is generally performed by someone on the
Release Engineering Team"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2020, 11:22 PM
Krinkle added a subscriber: Krinkle.Feb 5 2020, 6:23 PM

Change 572027 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[mediawiki/tools/scap@master] rebuildLocalisationCache.php: add space in subprocess

https://gerrit.wikimedia.org/r/572027

Change 572027 merged by jenkins-bot:
[mediawiki/tools/scap@master] rebuildLocalisationCache.php: add space in subprocess

https://gerrit.wikimedia.org/r/572027

While preparing to do this, I wrote a little, simplistic integration test, which runs "scap version". Don't laugh: it already found a bug. It seems "scap version" has been failing for years. I sent a fix to Gerrit: https://gerrit.wikimedia.org/r/c/mediawiki/tools/scap/+/572666

LarsWirzenius triaged this task as High priority.Feb 19 2020, 6:36 PM
Jdforrester-WMF closed this task as Resolved.Feb 21 2020, 11:31 PM